VARKON Version 1.15 1997-10-24

> ## getcubp - Procedure

> Get bicubic patch from GM
> Description
> Reads a non rational bicubic surface patch from GM.
> Syntax
> getcubp(sur_id, iu, iv, data,offset)

> REF | sur_id;
> INT | iu;
> INT | iv;
> FLOAT | data(48);
> FLOAT | offset;

> Principal parameters

> sur_id | - Global identity of surface to which the patch belongs
> iu | - Patch number in U direction
> iv | - Patch number in V direction
> data | - Patch coefficients
> offset | - Offset

> The order of the patch coefficients in array data:

> data( 1)= a00x | data( 2)= a00y | data( 3)= a00z | 1.0 | * | 1.0
> data( 4)= a01x | data( 5)= a01y | data( 6)= a01z | 1.0 | * | V
> data( 7)= a02x | data( 8)= a02y | data( 9)= a02z | 1.0 | * | V**2
> data(10)= a03x | data(11)= a03y | data(12)= a03z | 1.0 | * | V**3
> data( 13)= a10x | data(14)= a10y | data(15)= a10z | U | * | 1.0
> data(16)= a11x | data(17)= a11y | data(18)= a11z | U | * | V
> data(19)= a12x | data(20)= a12y | data(21)= a12z | U | * | V**2
> data(22)= a13x | data(23)= a13y | data(24)= a13z | U | * | V**3
> data(25)= a20x | data(26)= a20y | data(27)= a20z | U**2 | * | 1.0
> data(28)= a21x | data(29)= a21y | data(30)= a21z | U**2 | * | V
> data(31)= a22x | data(32)= a22y | data(33)= a22z | U**2 | * | V**2
> data(34)= a23x | data(35)= a23y | data(36)= a23z | U**2 | * | V**3
> data(37)= a30x | data(38)= a30y | data(39)= a30z | U**3 | * | 1.0
> data(40)= a31x | data(41)= a31y | data(42)= a31z | U**3 | * | V
> data(43)= a32x | data(44)= a32y | data(45)= a32z | U**3 | * | V**2
> data(46)= a33x | data(47)= a33y | data(48)= a33z | U**3 | * | V**3

> Optional parameters
> None.
> Comments
> The patch address for the start patch is iu,iv= 1,1 (but the start parameter point is U,V= 0.0,0.0).

VARKON Homepage | Index